function sig = sigma_estim(Y,type)
%
% This function estimates phi(sigma) 
%
% Copyright (C) 2009 Sylvain Arlot, Gilles Blanchard and Etienne Roquain
%
% IN : 
% 
%	'Y' : data matrix K*n ; the rows are supposed to be iid
%	'type' : type of experiment (function phi);
%                currently available:
%                   'sup_one_sided'
%                   'sup_two_sided'
%	
%  OUT : 'sig' is a real number
%

sig_vect=std(Y,0,2);

switch type
    case {'sup_one_sided' 'sup_two_sided'}
        sig=max(sig_vect);
    otherwise
        sig=NaN;
end
        