function h = visu_data(G)
%
% h = visu_data(G)
%
% draws an image of G with origin (0,0) in the middle
%  useful to display convolution filters/Fourier representation thereof
%
% IN :
%      G : dxd matrix or d^2 vector of image values
% OUT :
%      h : handle to figure
%
% GB 11/06
 
if (size(G,1)==1 || size(G,2)==1)
  G = reshape(G,[sqrt(length(G)) sqrt(length(G))]);
end;

a = size(G,1)/2;
U = zeros(size(G));

U(1:a,1:a) = G((a+1):end,(a+1):end);
U(1:a,(a+1):end) = G((a+1):end,1:a);
U((a+1):end,1:a) = G(1:a,(a+1):end);
U((a+1):end,(a+1):end) = G(1:a,1:a);

h=figure;

image(U,'CDataMapping','scaled');
colormap(gray);
